X2Go Bug report logs - #426
"pidof: command not found" when resuming x2go session

version graph

Package: x2godesktopsharing; Maintainer for x2godesktopsharing is X2Go Developers <x2go-dev@lists.x2go.org>;

Reported by: Michael DePaulo <mikedep333@gmail.com>

Date: Sat, 1 Feb 2014 18:35:01 UTC

Severity: normal

Tags: pending

Found in version 3.1.1.0

Fixed in version 3.1.1.1

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#426; Package x2goserver. (Sat, 01 Feb 2014 18:35:01 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sat, 01 Feb 2014 18:35:01 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: submit@bugs.x2go.org
Subject: "pidof: command not found" when resuming x2go session
Date: Sat, 1 Feb 2014 13:30:09 -0500
Package: x2goserver
Version: 4.0.1.10

I observed this error:
http://i.imgur.com/9Va5sJJ.png

/usr/bin/x2goterminate-desktopsharing: line 44: pidof: command not found

When resuming an X2Go session.

Server: x2goserver 4.0.1.10 (Fedora 20 64-bit)
Client: x2goclient 4.0.1.3 (Windows 8.1 64-bit)

Note that the other error messages will be reported in a separate bug report)

Note that on Fedora 20, pidof is located at:
/usr/sbin/pidof

/sbin/pidof would also work too because /sbin has been a symlink to
/usr/sbin on Fedora since Fedora 17's "/usr Merge":
https://fedoraproject.org/wiki/Features/UsrMove


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#426; Package x2goserver. (Sun, 02 Feb 2014 00:20:02 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sun, 02 Feb 2014 00:20:02 GMT) (full text, mbox, link).


Message #10 received at 426@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: 426@bugs.x2go.org
Date: Sat, 1 Feb 2014 19:16:16 -0500
This bug is actually in package x2godesktopsharing and it was fixed in commit:
b06196d55c25a7e3b9cfa9ab21a67b9f4e35eec9
(2013-12-18, not released yet.)


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#426; Package x2goserver. (Mon, 03 Feb 2014 21:30:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 03 Feb 2014 21:30:02 GMT) (full text, mbox, link).


Message #15 received at 426@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 426-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 426@bugs.x2go.org
Subject: X2Go issue (in src:x2godesktopsharing) has been marked as pending for release
Date: Mon, 3 Feb 2014 22:27:30 +0100 (CET)
tag #426 pending
fixed #426 3.1.1.1
thanks

Hello,

X2Go issue #426 (src:x2godesktopsharing) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2godesktopsharing.git;a=commitdiff;h=ab06c0a

The issue will most likely be fixed in src:x2godesktopsharing (3.1.1.1).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit ab06c0a9ffdefd09b582e03d09dff2c22c0f923b
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Mon Feb 3 22:27:21 2014 +0100

    Add closure for pidof bug #426.

diff --git a/debian/changelog b/debian/changelog
index 3d12002..d3f76d2 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -6,7 +6,7 @@ x2godesktopsharing (3.1.1.1-0x2go1) UNRELEASED; urgency=low
     - Use x2gopath in scripts rather than deprecated x2gobasepath.
     - Different Linux distros have pidof installed in different
       locations. If pidof is not available, we brutally kill all instances
-      of x2godesktopsharing when a session suspends.
+      of x2godesktopsharing when a session suspends. (Fixes: #426).
   * debian/control:
     + Replace LDAP support with session brokerage support in LONG_DESCRIPTION.
     + Rework LONG_DESCRIPTION in several other aspects.


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 03 Feb 2014 21:30:02 GMT) (full text, mbox, link).


Marked as fixed in versions 3.1.1.1. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 03 Feb 2014 21:30:02 GMT) (full text, mbox, link).


Message sent on to Michael DePaulo <mikedep333@gmail.com>:
Bug#426. (Mon, 03 Feb 2014 21:30:03 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#426; Package x2goserver. (Mon, 31 Mar 2014 20:00:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 31 Mar 2014 20:00:02 GMT) (full text, mbox, link).


Message #27 received at 426@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 426-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 426@bugs.x2go.org
Subject: X2Go issue (in src:x2godesktopsharing) has been marked as closed
Date: Mon, 31 Mar 2014 21:55:39 +0200 (CEST)
close #426
thanks

Hello,

we are very hopeful that X2Go issue #426 reported by you
has been resolved in the new release (3.1.1.1) of the
X2Go source project »src:x2godesktopsharing«.

You can view the complete changelog entry of src:x2godesktopsharing (3.1.1.1)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2godesktopsharing.

    http://code.x2go.org/gitweb?p=x2godesktopsharing.git;a=commitdiff;h=5f55ebaa9a2f84386f9ecd8aeebf2e6c7a9a81ec;hp=2f127116cce0246a181f73ee6218fe96bc75e47b

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2godesktopsharing.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2godesktopsharing
Version: 3.1.1.1-0x2go1
Status: RELEASE
Date: Mon, 31 Mar 2014 21:54:21 +0200
Fixes: 281 426 427
Changes: 
 x2godesktopsharing (3.1.1.1-0x2go1) RELEASED; urgency=low
 .
   * New upstream version (3.1.1.1):
     - Update man pages (Fixes: #281).
     - Fix FSF address in COPYING file.
     - Use x2gopath in scripts rather than deprecated x2gobasepath. (Fixes:
       #427).
     - Different Linux distros have pidof installed in different
       locations. If pidof is not available, we brutally kill all instances
       of x2godesktopsharing when a session suspends. (Fixes: #426).
   * debian/control:
     + Replace LDAP support with session brokerage support in LONG_DESCRIPTION.
     + Rework LONG_DESCRIPTION in several other aspects.
   * debian/source/format:
     Switch to format 1.0.
   * x2godesktopsharing.spec:
     + Ship x2godesktopsharing.spec (RPM package definitions) in upstream
       project. (Thanks to the Fedora package maintainers).
     + Conditional dependency on sysvinit-tools (EPEL) or procps-ng (Fedora) to
       get the pidof binary installed.
     + Run lrelease-qt4 before running qmake-qt4.


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 31 Mar 2014 20:00:04 GMT) (full text, mbox, link).


Notification sent to Michael DePaulo <mikedep333@gmail.com>:
Bug acknowledged by developer. (Mon, 31 Mar 2014 20:00:04 GMT) (full text, mbox, link).


Bug reassigned from package 'x2goserver' to 'x2godesktopsharing'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 31 Mar 2014 20:00:04 GMT) (full text, mbox, link).


No longer marked as found in versions 4.0.1.10. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 31 Mar 2014 20:00:04 GMT) (full text, mbox, link).


No longer marked as fixed in versions 3.1.1.1. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 31 Mar 2014 20:00:04 GMT) (full text, mbox, link).


Marked as found in versions 3.1.1.0 and reopened. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 31 Mar 2014 20:00:04 GMT) (full text, mbox, link).


Marked as fixed in versions 3.1.1.1. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 31 Mar 2014 20:00:04 GMT) (full text, mbox, link).


Message sent on to Michael DePaulo <mikedep333@gmail.com>:
Bug#426. (Mon, 31 Mar 2014 20:00:05 GMT) (full text, mbox, link).


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 31 Mar 2014 20:10:02 GMT) (full text, mbox, link).


Notification sent to Michael DePaulo <mikedep333@gmail.com>:
Bug acknowledged by developer. (Mon, 31 Mar 2014 20:10:02 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Tue, 29 Apr 2014 05:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu Dec 5 21:40:10 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.